C# Class Revit.SDK.Samples.CreateSimpleAreaRein.CS.GeomUtil

provide some common geometry judgement and calculate method
Afficher le fichier Open project: AMEE/revit Class Usage Examples

Méthodes publiques

Méthode Description
GetFaces ( Autodesk.Revit.DB.Element elem ) : FaceArray

get all faces that compose the geometry solid of given element

GetPoints ( Face face ) : List

get all points proximate to the given face

IsHorizontalFace ( Face face ) : bool

judge whether the given face is horizontal

IsParallel ( Face face, Line line ) : bool

judge whether a face and a line are parallel

IsRectangular ( CurveArray curves ) : bool

judge whether given 4 lines can form a rectangular

Private Methods

Méthode Description
CrossMatrix ( Autodesk p1, Autodesk p2 ) : Autodesk.Revit.DB.XYZ

multiplication cross of two Autodesk.Revit.DB.XYZ as Matrix

DotMatrix ( Autodesk p1, Autodesk p2 ) : double

dot product of two Autodesk.Revit.DB.XYZ as Matrix

IsEqual ( double d1, double d2 ) : bool

judge whether the subtraction of two doubles is less than the internal decided precision

IsVertical ( Line line1, Line line2 ) : bool

judge whether two lines are vertical

SubXYZ ( Autodesk p1, Autodesk p2 ) : Autodesk.Revit.DB.XYZ

subtraction of two Autodesk.Revit.DB.XYZ as Matrix

Method Details

GetFaces() public static méthode

get all faces that compose the geometry solid of given element
public static GetFaces ( Autodesk.Revit.DB.Element elem ) : FaceArray
elem Autodesk.Revit.DB.Element element to be calculated
Résultat FaceArray

GetPoints() public static méthode

get all points proximate to the given face
public static GetPoints ( Face face ) : List
face Face face to be calculated
Résultat List

IsHorizontalFace() public static méthode

judge whether the given face is horizontal
public static IsHorizontalFace ( Face face ) : bool
face Face face to be judged
Résultat bool

IsParallel() public static méthode

judge whether a face and a line are parallel
public static IsParallel ( Face face, Line line ) : bool
face Face
line Line
Résultat bool

IsRectangular() public static méthode

judge whether given 4 lines can form a rectangular
public static IsRectangular ( CurveArray curves ) : bool
curves CurveArray
Résultat bool